> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoengage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload an attachment

> Uploads a file to the workspace and returns its `signed_id`. Pass the `signed_id` to the `CreateChangelog` [MCP tool](/mcp/tools#changelogs) as `cover_image_signed_id` to use the file as a changelog's cover image. Only the workspace that uploaded the file can use it. Files can be up to 50 MB. This endpoint is under `/api/external/v2`, not `/api/external/v1`.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/api/workspace-subdomain).</Info>


## OpenAPI

````yaml bundled/attachments.yaml POST /attachments
openapi: 3.0.3
info:
  title: NeetoEngage Attachments APIs
  version: 1.0.0
servers:
  - description: NeetoEngage APIs
    url: https://{your-subdomain}.neetoengage.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Attachments
    description: APIs to upload files.
paths:
  /attachments:
    post:
      tags:
        - Attachments
      summary: Upload an attachment
      description: >-
        Uploads a file to the workspace and returns its `signed_id`. Pass the
        `signed_id` to the `CreateChangelog` [MCP tool](/mcp/tools#changelogs)
        as `cover_image_signed_id` to use the file as a changelog's cover image.
        Only the workspace that uploaded the file can use it. Files can be up to
        50 MB. This endpoint is under `/api/external/v2`, not
        `/api/external/v1`.
      operationId: uploadAttachment
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/accept_header'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to upload.
      responses:
        '201':
          description: The uploaded file.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/attachment'
              example:
                id: 40f7e262-7adb-4940-b84a-e770264211d9
                filename: cover.png
                content_type: image/png
                byte_size: 482133
                checksum: 1B2M2Y8AsgTpgAmY7PhCfg==
                key: j5ysfeyrkbwhh980krdqpk81ksfj
                metadata:
                  organization_id: 6f9f4b00-68d4-45fb-be8e-1839bf7d70ac
                  identified: true
                created_at: '2026-10-13T04:28:54.272Z'
                attachable_sgid: eyJfcmFpbHMiOnsiZGF0YSI6ImdpZDovL25lZXRv...
                signed_id: eyJfcmFpbHMiOnsiZGF0YSI6IjQwZjdlMjYyLTdh...
                blob_url: >-
                  https://spinkart.neetoengage.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMi.../cover.png
        '401':
          $ref: '#/components/responses/unauthorized'
        '422':
          description: The `file` field is missing or the file is larger than 50 MB.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
              example:
                error: File is required
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        API key. Refer to [Authentication](/api/authentication) for more
        information.
      required: true
      schema:
        type: string
    accept_header:
      in: header
      name: Accept
      description: Must be `application/json`.
      required: true
      schema:
        type: string
        enum:
          - application/json
        default: application/json
  schemas:
    attachment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of the uploaded file.
        filename:
          type: string
          description: Name of the uploaded file.
        content_type:
          type: string
          description: Media type of the file, such as `image/png`.
        byte_size:
          type: integer
          description: Size of the file in bytes.
        checksum:
          type: string
          description: Base64 MD5 checksum of the file.
        key:
          type: string
          description: Storage key of the file.
        service_name:
          type: string
          description: Storage service that holds the file.
        metadata:
          type: object
          description: Metadata of the file, including the workspace it belongs to.
        created_at:
          type: string
          format: date-time
          description: When the file was uploaded.
        attachable_sgid:
          type: string
          description: Signed global ID of the file.
        signed_id:
          type: string
          description: >-
            Signed reference to the file. Pass it as `cover_image_signed_id` to
            the `CreateChangelog` MCP tool.
        blob_url:
          type: string
          description: URL that redirects to the file.
    error:
      type: object
      properties:
        error:
          type: string
          description: A human readable error message.
  responses:
    unauthorized:
      description: The API key is missing, invalid, or expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: Could not authenticate, invalid API Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.